package net.jnjmx.ch3;

public interface ApacheMBean {
	public static final String DOWN = "DOWN";
	public static final String NOT_RESPONDING = "NOT_RESPONDING";
	public static final String RUNNING = "RUNNING";
	public static final String UNKNOWN = "UNKNOWN";

	int getBusyWorkers() throws ApacheMBeanException;
	int getBytesPerSec() throws ApacheMBeanException;
	float getBytesPerReq() throws ApacheMBeanException;
	long getCacheLifetime();
	float getCpuLoad() throws ApacheMBeanException;
	int getIdleWorkers() throws ApacheMBeanException;
	float getReqPerSec() throws ApacheMBeanException;
	String getScoreboard() throws ApacheMBeanException;
	String getState();
	int getTotalAccesses() throws ApacheMBeanException;
	long getTotalKBytes() throws ApacheMBeanException;
	long getUptime() throws ApacheMBeanException;
	boolean isCaching();
	void setCacheLifetime(long lifetime);
	void setCaching(boolean caching);
	String start();
	String stop();
}
