package net.jnjmx.ch6;

public class Service implements ServiceMBean {
    private String status;
    
    public Service() {
        this.status = ServiceMBean.STOPPED;
    }
    
    public String getStatus() { return this.status; }
    
    public void pause() { 
        try { Thread.sleep(50); } catch (InterruptedException x) {}
        this.status = ServiceMBean.PAUSED; 
    }
    public void start() { 
        try { Thread.sleep(500); } catch (InterruptedException x) {}
        this.status = ServiceMBean.STARTED; 
    }
    public void stop() { 
        try { Thread.sleep(100); } catch (InterruptedException x) {}    
        this.status = ServiceMBean.STOPPED; 
    }
}
