package net.jnjmx.ch9;
import java.io.Serializable;
import java.util.List;
import java.util.ArrayList;
/* */
public class TackCategory implements Category, Serializable {
	/* Categories can be: new, old, sale, 
	 * saddles, bridles, girths, breastcollers, 
	 * saddleblankets */
//	public String getCategory() {return "";} ;
//	public void setCategory(String currentCategory) {};
	
		private Catalog catalog;
		private String name;
		private List items; 

		public TackCategory(Catalog catalog, String name) {
			this.catalog = catalog;
			this.name = name;
			this.items = new ArrayList(); 
		}

		public boolean equals(Object obj) {
			if (!(obj instanceof TackCategory)) {
				return false;
			}

			return this.name.compareTo(((TackCategory) obj).name) == 0;
		}

		public int getItemCount() {
			return this.items.size();
		}

		public List getItems() {
			return this.items;
		}

		public String getName() {
			return this.name;
		}
	
}

