package net.jnjmx.ch9;

import java.io.Serializable;

public class TackItem implements Item, Serializable {
		Catalog catalog;
	    int catalogNo;
		String name; 
	    int price;
		
		int quantity;

		public TackItem(
			Catalog catalog,
			int catalogNo,
			String name,
			int price,
			int quantity) {
			this.catalogNo = catalogNo;
			this.catalog = catalog;
			this.name = name;
			this.price = price;
			this.quantity = quantity;
		}

		public int getCatalogNo() {
			return this.catalogNo;
		}

		public boolean equals(Object obj) {
			if (!(obj instanceof TackItem)) {
				return false;
			}

			Item item = (TackItem) obj;

			return this.name.compareTo(item.getName()) == 0
				&& this.price == item.getPrice();
		}

		public String getName() {
			return this.name;
		}

		public int getPrice() {
			return this.price;
		}

		public int getQuantity() {
			return this.quantity;
		}
		
		public void setQuantity(int quantity) {
			this.quantity = quantity;
		}
	}
	
	
//	public String getCategory() {return "";}
//	public void setCategory(String category) {}
//	public String getItemDetails() {return "";}
//	public String getItemPicture() {return "";}
	



