@echo OFF
rem **************************************************************************
rem * TMX4J Batch file for the uninstall of the jmxservice for NT
rem * Please set the TMX4J_HOME directory in set_tmx4j_home.bat before
rem * running.
rem **************************************************************************


rem **************************************************************************
rem * Call the script to set the TMX4J home directory, and the JDK_DIR
rem **************************************************************************
call set_tmx4j_home.bat


rem **************************************************************************
rem * Stop the Service if it is running
rem **************************************************************************
net stop "TMX4J NT Service"


rem **************************************************************************
rem * Copy the jmx_error.dll file to %SystemRoot%\system32
rem **************************************************************************
@echo deleting %SystemRoot%\system32\jmx_error.dll ...
del %SystemRoot%\system32\jmx_error.dll


rem **************************************************************************
rem * UnInstall the NT Service (and remove its registry settings)
rem **************************************************************************
%TMX4J_HOME%\ext\bin\nt\jmxservice.exe -u

@echo ON
