#!/bin/ksh
# This is a sample script to set the Classpath neccessary for the TMX4J samples

# Call the script which sets the TMX4J_HOME directory
. ../../bin/solaris/set_tmx4j_home.sh

#
# Leave the following three variables unchanged unless you have modified 
# the original install structure
#
export EXT_LIB_DIR=${TMX4J_HOME}/ext/lib
export JMX_LIB_DIR=${TMX4J_HOME}/base/lib
export SAMPLES_DIR=${TMX4J_HOME}/ext

#
# The CLASSPATH must include the base and extensions jar-files, the .properties
# file dirs and the JLog package
#
export CLASSPATH=${JMX_LIB_DIR}/jmxc.jar:${JMX_LIB_DIR}/jmxx.jar:${JMX_LIB_DIR}/log.jar:${EXT_LIB_DIR}/jmxext.jar:${EXT_LIB_DIR}:${JMX_LIB_DIR}:${SAMPLES_DIR}

echo CLASSPATH updated to $CLASSPATH
