#!/bin/ksh
# Script to launch the tmx4j Control Panel


# Call the script to set your TMX4J_HOME installation directory
. ../../bin/solaris/set_tmx4j_home.sh

export TMX4J_CONNECTION=//localhost/MBeanServerConnection 

export ORIGINAL_CLASSPATH=$CLASSPATH

export CLASSPATH=$TMX4J_HOME/base/lib/
export CLASSPATH=$CLASSPATH:$TMX4J_HOME/base/lib/jmxc.jar
export CLASSPATH=$CLASSPATH:$TMX4J_HOME/base/lib/jmxx.jar
export CLASSPATH=$CLASSPATH:$TMX4J_HOME/base/lib/log.jar
export CLASSPATH=$CLASSPATH:$TMX4J_HOME/ext/lib
export CLASSPATH=$CLASSPATH:$TMX4J_HOME/ext/lib/jmxext.jar
export CLASSPATH=$CLASSPATH:$TMX4J_HOME/ext

java -Dtmx4j.connection=$TMX4J_CONNECTION samples.rmi.TMX4JCP $1 $2 $3 $4 $5

export CLASSPATH=$ORIGINAL_CLASSPATH
