package org.apache.commons.modeler;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

import javax.management.Descriptor;
import javax.management.modelmbean.DescriptorSupport;

/**
 * @author wharold
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ModelerDescriptor {
	private Descriptor descriptor = null;
	private List fields;
	private String name;
	private String type;
	
	public ModelerDescriptor() {
		this.fields = Collections.synchronizedList(new ArrayList());
	}
	
	public Descriptor createDescriptor() {
		return new DescriptorSupport();
	}
	
    public void addField(ModelerDescriptorField field) {
    	this.fields.add(field);
    }
    
    public Iterator fields() {
    	return this.fields.iterator();
    }
	
	public String getName() {
		return this.name;
	}
	
	public String getType() {
		return this.type;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void setType(String type) {
		this.type = type;
	}
}
