package net.jnjmx.ch4;

import javax.management.*;
import javax.management.modelmbean.*;

import java.lang.reflect.Constructor;
import java.util.ArrayList;

// External Program creates ModelMBeans and ModelMBeanInfo from XML files
// on behalf of managed Server and SessionPool. 
// HKHK this doesn't actually work right.. the toddManager can't get
// a reference to the toddServer when is running as a daemon, and
// if we change it to an instantiate instead of a main, then we're 
// modifying the intent of the todd server.

/**
 * @author Administrator
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class toddManager implements NotificationListener {

	public static void main(String[] args) {
		boolean tracing = true;
		try {
	
			/* if  (args.length != 0) {
			 	System.out.println(args[0]);
			 	if ( (args[0] != null)  && (args[0]).equalsIgnoreCase("trace") ) 
			  		tracing = true;
			 }
			 */
			
			if (tracing) System.out.println("Running todd Manager");
		
			/** Find an MBeanServer for our MBean */
			MBeanServer mbs = MBeanServerFactory.createMBeanServer();
		    if (tracing) System.out.println("created MBeanServer");
			
			ObjectName sn = new ObjectName("todd:id=XMLPrimer");
			XMLService XMLPrimer = new XMLService(sn);

  			//Server managedServer = (Server) args[0];
  			//SessionPool managedSessionPool = (SessionPool) args[1];
  			
 			Server3 managedServer = new Server3();
  			SessionPool3 managedSessionPool = managedServer.getSessionPool();
  			
  			ObjectName son = new ObjectName("todd:id=Server3");
  			String serverMBeanInfoFile = new String("net/jnjmx/ch4/ServerMBean.xml");
  			ModelMBean serverMMB = (ModelMBean) XMLPrimer.createMBeanFromXMLFile(serverMBeanInfoFile, son);
  			serverMMB.setManagedResource( (Object) managedServer, "ObjectReference");
 			ObjectInstance serverMMBInstance = mbs.registerMBean((Object) serverMMB, son);
    
  			ObjectName spon = new ObjectName("todd:id=SessionPool3");
  			String sessionMBeanInfoFile = new String("SessionMBean.xml");
  			RequiredModelMBean sessionMMB = (RequiredModelMBean) XMLPrimer.createMBeanFromXMLFile(sessionMBeanInfoFile, spon);
  			sessionMMB.setManagedResource( (Object) managedSessionPool, "ObjectReference");
  			ObjectInstance sessionMMBInstance = mbs.registerMBean((Object) sessionMMB, spon);


			toddManager nListener = new toddManager();
  			serverMMB.addNotificationListener(nListener, null, null); // hkhk check this
  			sessionMMB.addNotificationListener(nListener, null, null); // hkhk check this
		}
		catch (Exception e) {
			System.out.println("toddManager failed");
		}
	}

	public void handleNotification(Notification ntfy, Object hndbk) {
			System.out.println("Received: " + ntfy.getMessage());
			// sendEmail(ntfy.getMessage()); // hkhk check this
	}
}

