package net.jnjmx.ch4;

import javax.management.*;
import javax.management.modelmbean.*;

import java.lang.reflect.Constructor;
import java.util.ArrayList;

import net.jnjmx.ch4.*;

// v3 is a test pgm just to create the modelmbean xml files the first time for the xmlservice to use

// External Program creates ModelMBeans and ModelMBeanInfo from XML files
// on behalf of managed Server and SessionPool. 
// HKHK this doesn't actually work right.. the toddManager can't get
// a reference to the toddServer when is running as a daemon, and
// if we change it to an instantiate instead of a main, then we're 
// modifying the intent of the todd server.

/**
 * @author Administrator
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class toddManager3 implements NotificationListener {

	public static void main(String[] args) {
		boolean tracing = true;
		try {
	
			/* if  (args.length != 0) {
			 	System.out.println(args[0]);
			 	if ( (args[0] != null)  && (args[0]).equalsIgnoreCase("trace") ) 
			  		tracing = true;
			 }
			 */
			
			if (tracing) System.out.println("Running todd Manager");
		
			/** Find an MBeanServer for our MBean */
			MBeanServer mbs = MBeanServerFactory.createMBeanServer();
		    if (tracing) System.out.println("created MBeanServer");
			
			ObjectName sn = new ObjectName("todd:id=XMLPrimer");
			XMLService XMLPrimer = new XMLService(sn);
			
  			toddManager3 mySelf = new toddManager3();
  			//Server managedServer = (Server) args[0];
  			//SessionPool managedSessionPool = (SessionPool) args[1];
 
//  	    Server1 mServer = new Server1();
  			ObjectName son = new ObjectName("todd:id=Server");
  			ModelMBeanInfo mmbiServer = mySelf.createServerModelMBeanInfo();
			ModelMBean serverMMB = new RequiredModelMBean();
			serverMMB.setModelMBeanInfo(mmbiServer);
//			serverMMB.setManagedResource(mServer);
			XMLPrimer.writeXMLFile(serverMMB, "net/jnjmx/ch4/toddServerDescription.xml");			
			
			SessionPool1 mSessionPool = new SessionPool1();
  			ObjectName spon = new ObjectName("todd:id=SessionPool");

  			ModelMBeanInfo mmbiSession = mySelf.createSessionModelMBeanInfo(mSessionPool, spon);
 			ModelMBean sessionMMB = new RequiredModelMBean();
			sessionMMB.setModelMBeanInfo(mmbiSession);
//			sessionMMB.setManagedResource(mSession);
			XMLPrimer.writeXMLFile(sessionMMB, "net/jnjmx/ch4/toddSessionDescription.xml");  			

//  			ObjectInstance serverMMBInstance = mbs.registerMBean((Object) serverMMB, son);
//  			ObjectInstance sessionMMBInstance = mbs.registerMBean((Object) sessionMMB, spon);
  			
/* 			Server3 managedServer = new Server3();
  			SessionPool3 managedSessionPool = managedServer.getSessionPool();
  			
  			ObjectName son = new ObjectName("todd:id=Server3");
  			String serverMBeanInfoFile = new String("net/jnjmx/ch4/ServerMBean.xml");
  			ModelMBean serverMMB = (ModelMBean) XMLPrimer.createMBeanFromXMLFile(serverMBeanInfoFile, son, managedServer);
// 			serverMMB.setManagedResource( (Object) managedServer, "ObjectReference");
 			ObjectInstance serverMMBInstance = mbs.registerMBean((Object) serverMMB, son);
    
  			ObjectName spon = new ObjectName("todd:id=SessionPool3");
  			String sessionMBeanInfoFile = new String("net/jnjmx/ch4/SessionMBean.xml");
  			RequiredModelMBean sessionMMB = (RequiredModelMBean) XMLPrimer.createMBeanFromXMLFile(sessionMBeanInfoFile, spon, managedSessionPool);
// 			sessionMMB.setManagedResource( (Object) managedSessionPool, "ObjectReference");
  			ObjectInstance sessionMMBInstance = mbs.registerMBean((Object) sessionMMB, spon);
*/
// hkhk this won't work cuz notifs in xmlservice don't work yet
/*			toddManager nListener = new toddManager();
  			serverMMB.addNotificationListener(nListener, null, null); // hkhk check this
  			sessionMMB.addNotificationListener(nListener, null, null); // hkhk check this
*/
		}
		catch (Exception e) {
			System.out.println("toddManager failed");
		}
	}

	public void handleNotification(Notification ntfy, Object hndbk) {
			System.out.println("Received: " + ntfy.getMessage());
			// sendEmail(ntfy.getMessage()); // hkhk check this
	}
	
		//****************************************************************************
	// this is just here till we can put in a real reader/writer
  // Create the ModelMBeanInfo for the todd Server. 
  
  ModelMBeanInfo createServerModelMBeanInfo() {

	Class serverClass = null;
	try {
		serverClass = Class.forName("net.jnjmx.ch4.Server1");
	} catch(Exception e) {
		System.out.println("Server Class not found");
	}

	// set MBean descriptor
	Descriptor mmbDescription = new DescriptorSupport(new String[] {
            ("name=id=Server"),    // server MBean name
			"descriptorType=mbean",
			("displayName=toddServerManager"),
			"type=net.jnjmx.ch4.Server1",
            "log=T",					// log all notifications
			"logfile=jmxserver.log",	// in jmxserver.log
			"currencyTimeLimit=10"});	// cache all attribute values for 10 seconds

	// Define Attributes in ModelMBean AttributeInfos
	ModelMBeanAttributeInfo[] mmbAttributes = new ModelMBeanAttributeInfo[3];
	
	// Declare Connections attribute		
	Descriptor connectionsDesc = new DescriptorSupport(new String[] {
			"name=Connections", 		// attribute name
			"descriptorType=attribute",
			"displayName=todd connections",
			"getMethod=getConnections",	// call getConnections operation for gets
			"currencyTimeLimit=-1"} ); 	// dont cache connections value
			
	mmbAttributes[0] = new ModelMBeanAttributeInfo("Connections",
			 "java.lang.Integer",		// attribute type is String
			 "todd Server connections",	// description of attribute
			 true,
			 false,
			 false,
		     connectionsDesc);			// descriptor for attribute

	// Declare Sessions attribute
	Descriptor sessionsDesc = new DescriptorSupport(new String[] {
			"name=Sessions", 			// attribute name
			"descriptorType=attribute",
			"displayName=todd server sessions",
			"getMethod=getSessions",	// call getSessions operation for gets
			"currencyTimeLimit=5"} );	// cache sessions value for 5 seconds
			
	mmbAttributes[1] = new ModelMBeanAttributeInfo("Sessions",
			"java.lang.Integer",	// type for sessions is integer
			"todd Server sessions",
			true,
			false,
			false,
			sessionsDesc);			// descriptor for sessions
			
	// Declare upTime attribute
	Descriptor upTimeDesc = new DescriptorSupport(new String[] {
			"name=upTime", 				// attribute name
			"descriptorType=attribute",
			"displayName=todd server sessions",
			"getMethod=getUptime",		// call getUptime operation for gets
			"currencyTimeLimit=0"} );	// dont cache uptime
			
	mmbAttributes[2] = new ModelMBeanAttributeInfo("upTime",
			"java.lang.Integer",	// type for alarm is string
			"todd Server length of time up",
			true,
			false,
			false,
			upTimeDesc);			// descriptor for upTime

	// Declare constructors for MBean  HKHK or is it the managed resource????		
	ModelMBeanConstructorInfo[] mmbConstructors = new ModelMBeanConstructorInfo[1];
	Constructor[] myConstructors = serverClass.getConstructors();
	
	Descriptor mmBeanDesc = new DescriptorSupport( new String[] {
			"name=ServerClass",
			"descriptorType=operation", 
       		"role=constructor" } );
			
	mmbConstructors[0] = new ModelMBeanConstructorInfo("Server(): Constructs a todd Server",
			myConstructors[0],
			mmBeanDesc);

	// Define Operations in ModelMBeanOperationInfos
	// Operations: start, stop, shutdown 
 	// getUpTime, getConnections, getSessions
 	//
 	
	// Declare getValue Operation String getValue()	
	// Set paramater array	
	ModelMBeanOperationInfo[] mmbOperations = new ModelMBeanOperationInfo[6];

	// Declare start() Operation void start()	
	// Set paramater array	
	MBeanParameterInfo[] parms = null;
		
	Descriptor startDesc = new DescriptorSupport(new String[] {
			"name=start",			// operation/method name
			"descriptorType=operation",
			"class=server",			// class to run operation on
			"role=operation" } );	// this is an operation
			
	mmbOperations[0] = new ModelMBeanOperationInfo("start", // name
			"start server",				// description
			parms ,			// parameters for method 
			"java.lang.boolean",		// return type 
		    MBeanOperationInfo.ACTION,	// start changes state
		    startDesc);					// descriptor for enable
		    
	Descriptor stopDesc = new DescriptorSupport(new String[] {
			"name=stop",				// operation/method name
			"descriptorType=operation",
			"class=server",				// class to run operation on
			"role=operation" } );		// this is an operation
			
	mmbOperations[1] = new ModelMBeanOperationInfo("stop", // name
			"stop server",				// description
			parms ,						// parameters for method 
			"java.lang.boolean",		// return type 
		    MBeanOperationInfo.ACTION,	// stop changes state
		    stopDesc);					// descriptor for stop

	Descriptor shutdownDesc = new DescriptorSupport(new String[] {
			"name=shutdown",		// operation/method name
			"descriptorType=operation",
			"class=server",			// class to run operation on
			"role=operation" } );	// this is an operation
			
	mmbOperations[2] = new ModelMBeanOperationInfo("shutdown", // name
			"shutdown server",			// description
			parms ,						// parameters for method 
			"java.lang.boolean",		// return type 
		    MBeanOperationInfo.ACTION,	// shutdown changes state
		    shutdownDesc);				// descriptor for shutdown
			
	// Declare getConnections Operation  String getConnections()
	Descriptor getConnectionsDesc = new DescriptorSupport(new String[] {"name=getConnections",
			"descriptorType=operation",
			"class=Server",			// class to run operation on
			"role=getter"} );		// this is a getter operation

	MBeanParameterInfo[] noParms = null;			

	mmbOperations[3] = new ModelMBeanOperationInfo("getConnections", // name
			"get Connections attribute",	// description
			noParms,						// null parameter list, 
	        "java.lang.Integer",			// return type is Integer
			MBeanOperationInfo.INFO,		// does not change state
		    getConnectionsDesc);			// descriptor for getConnections
			
	// Declare getSessions Operation - void getSession()
	Descriptor getSessionsDesc = new DescriptorSupport(new String[] {
		   	"name=getSessions",		// name
			"descriptorType=operation",
			"class=Clock",			// target class for method
			"role=getter"});		// operation is a getter
						
	mmbOperations[4] = new ModelMBeanOperationInfo("getSessions",	// name
	   	    "get Sessions attribute",	// description
			noParms,					// parameters
			"java.lang.Integer",		// no return value
			MBeanOperationInfo.INFO,	// operation does not change state
			getSessionsDesc);			// getSessions descriptor
			
	// Declare getUpTime operation
	Descriptor getUpTimeDesc = new DescriptorSupport( new String[] {
			"name=getUpTime",		// name
			"descriptorType=operation",	
			"class=Server",			// target class
			"role=getter"});		// operation is a getter
			
	mmbOperations[5] = new ModelMBeanOperationInfo("getUpTime",	// name
			"get upTime attribute",	// description
			noParms,				// no parameters (null)
			"java.lang.Integer",	// return type is String
			MBeanOperationInfo.INFO,// operation does not change state
			getUpTimeDesc);			// upTime descriptor
			
	// Define no Notifications in the ModelMBeanNotificationInfo
	ModelMBeanNotificationInfo[] mmbNotifications = new ModelMBeanNotificationInfo[0];
		
	  // Create ModelMBeanInfo		
	  ModelMBeanInfo mmBeanInfo = new ModelMBeanInfoSupport("Server1", 
	  		"ModelMBeanInfo for managing a todd Server",
			mmbAttributes,
			mmbConstructors,
			mmbOperations,
			mmbNotifications);
	try {
	  mmBeanInfo.setMBeanDescriptor(mmbDescription);
	} catch (Exception e) {
		System.out.println("CreateServerMBeanInfo failed with " + e.getMessage());
	}		

	return mmBeanInfo;
	}



  ModelMBeanInfo createSessionModelMBeanInfo(SessionPool1 mmBResource, ObjectName mmbName) {
    // Create the ModelMBeanInfo for the SessionPool. 

	Class targetClass = null;
	try {
		targetClass = Class.forName("net.jnjmx.ch4.SessionPool1");
	} catch(Exception e) {
		System.out.println("Session1 Class not found");
	}

	// set MBean descriptor
	Descriptor mmbDescription = new DescriptorSupport(new String[] {
            ("name="+mmbName),    		// MBean name
			"descriptorType=mbean",
			("displayName=Session Pool Manager"),
			"type=net.jnjmx.ch4.SessionPool1",
            "log=T",					// log all notifications
			"logfile=jmxsession.log",	// in jmxsession.log
			"currencyTimeLimit=10"});	// cache all attribute values for 10 seconds

	ModelMBeanAttributeInfo[] mmbAttributes = new ModelMBeanAttributeInfo[2];
	
	// Declare Connections attribute		
	Descriptor sizeDesc = new DescriptorSupport(new String[] {
			"name=Size", 				// attribute name
			"descriptorType=attribute",
			"displayName=todd size",
			"getMethod=getSize", } ); 	
	
	mmbAttributes[0] = new ModelMBeanAttributeInfo("Size",
			 "java.lang.Integer",		// attribute type is String
			 "todd Server size",		// description of attribute
			 true,
			 false,
			 false,
		     sizeDesc);					// descriptor for attribute

	// Declare availSessions attribute
	Descriptor availSessionsDesc = new DescriptorSupport(new String[] {
			"name=AvailableSessions", 			// attribute name
			"descriptorType=attribute",
			"displayName=todd server available sessions",
			"getMethod=getAvailableSessions",	// call operation for gets
			"currencyTimeLimit=5"} );			// cache alarm value for 5 seconds
			
	mmbAttributes[1] = new ModelMBeanAttributeInfo("Sessions",
			"java.lang.Integer",		// type for sessions is integer
			"todd Server available sessions",
			true,
			false,
			false,
			availSessionsDesc);			// descriptor for sessions

	// Declare constructors for MBean  HKHK or is it the managed resource????		
	Constructor[] constructors = targetClass.getConstructors();
	ModelMBeanConstructorInfo[] mmbConstructors = new ModelMBeanConstructorInfo[1];		
	Descriptor mmBeanDesc = new DescriptorSupport( new String[] {
			"name=SessionClass",
			"descriptorType=operation", 
       		"role=constructor" } );
			
	mmbConstructors[0] = new ModelMBeanConstructorInfo("SessionPool(): Constructs a todd Server",
			constructors[0],
			mmBeanDesc);

	ModelMBeanOperationInfo[] mmbOperations = new ModelMBeanOperationInfo[3];

	// Declare grow() Operation  void grow()	
	// Set paramater array	
	MBeanParameterInfo[] noParms = null;
		
	Descriptor growDesc = new DescriptorSupport(new String[] {
			"name=grow",			// operation/method name
			"descriptorType=operation",
			"class=server",			// class to run operation on
			"role=operation" } );	// this is an operation
			
	mmbOperations[0] = new ModelMBeanOperationInfo("grow", // name
			"grow session pool",		// description
			noParms ,					// parameters for method  
			"java.lang.boolean",		// return type 
		    MBeanOperationInfo.ACTION,	// grow does change state
		    growDesc);					// descriptor for grow

		
	// Declare getSize Operation  String getSize()
	Descriptor getSizeDesc = new DescriptorSupport(new String[] {"name=getSize",
			"descriptorType=operation",
			"class=Sessions",		// class to run operation on
			"role=getter"} );		// this is a getter operation

	mmbOperations[1] = new ModelMBeanOperationInfo("getSize", // name
			"get Size attribute",	// description
			noParms,				// null parameter list, 
	        "java.lang.Integer",	// return type is Integer
			MBeanOperationInfo.INFO,// does not change state
		    getSizeDesc);			// descriptor for getSize
			
	// Declare getAvailableSessions Operation - void getSession()
	Descriptor getAvailableSessionsDesc = new DescriptorSupport(new String[] {
		   	"name=getAvailableSessions",// name
			"descriptorType=operation",
			"class=Sessions",			// target class for method
			"role=getter"});			// operation is a getter
						
	mmbOperations[2] = new ModelMBeanOperationInfo("getSessions",	// name
	   	    "get Sessions attribute",	// description
			noParms,					// parameters
			"java.lang.Integer",		// no return value
			MBeanOperationInfo.INFO,	// operation does not change state
			getAvailableSessionsDesc);	// setAvailableSessions descriptor

	ModelMBeanNotificationInfo[] mmbNotifications = new ModelMBeanNotificationInfo[0];

	// Create ModelMBeanInfo		
	ModelMBeanInfo mmBeanInfo = new ModelMBeanInfoSupport("SessionPool1",
			"ModelMBeanInfo for managing todd Sessions1",
			mmbAttributes,
			mmbConstructors,
			mmbOperations,
			mmbNotifications);
	try {
	  mmBeanInfo.setMBeanDescriptor(mmbDescription);
	} catch (Exception e) {
		System.out.println("CreateSessionPoolMBeanInfo failed with " + e.getMessage());
	}			
	return mmBeanInfo;
	}


}

