package net.jnjmx.ch9;

import java.io.Serializable;
import java.io.IOException;

public interface CatalogManagerMBean  {
	
	public TackCatalogSS load(String name)
		throws IOException, ClassNotFoundException;
	public boolean isAutoCheckpointing();
	public void setAutoCheckpoint(boolean autoCheckpoint);
	public void doCheckpoint();
	public int getNumberOfItems();
	public int getTotalSales();
	public int getAccesses();
	public int getInventorySize();
	
//  These are additional methods that would be interesting
//  in an online Catalog manager but are not implemented here.

//	public int getMaxCatalogSize();
//	public void setMaxCatalogSize(int max);
//	public int getNumberOfOnlineAccesses();
//	public int getNubmerNumberOfMailRequests();
//	public void printCatalog(String printerName);
//	public void mailCatalog(String emailAddr);
}
