@echo OFF
echo **************************************************************************
echo * TMX4J batch file installation of the jmxservice for NT
echo * Please set the TMX4J_HOME directory according to your installation before
echo * running.
echo **************************************************************************


rem **************************************************************************
rem * Call the script to set the TMX4J home directory, and the JDK_DIR
rem **************************************************************************
call set_tmx4j_home.bat

rem **************************************************************************
rem * Set the system Classpath to be used by the NT Service.
rem * Note, if you have not modified the original installation structure you
rem * will not need to modify any of the following settings.
rem **************************************************************************

SET OLD_CLASSPATH=%CLASSPATH%

SET CLASSPATH=%TMX4J_HOME%\base\lib\jmxc.jar
SET CLASSPATH=%CLASSPATH%;%TMX4J_HOME%\base\lib\jmxx.jar
SET CLASSPATH=%CLASSPATH%;%TMX4J_HOME%\ext\lib\jmxext.jar
SET CLASSPATH=%CLASSPATH%;%TMX4J_HOME%\base\lib\
SET CLASSPATH=%CLASSPATH%;%TMX4J_HOME%\ext\lib\
SET CLASSPATH=%CLASSPATH%;%TMX4J_HOME%\ext
SET CLASSPATH=%CLASSPATH%;%OLD_CLASSPATH%

@echo CLASSPATH updated


rem **************************************************************************
rem * Copy the jmx_error.dll file to %SystemRoot%\system32
rem **************************************************************************
copy %TMX4J_HOME%\ext\lib\nt\jmx_error.dll %SystemRoot%\system32

@echo jmx_error.dll copied to %SystemRoot%\system32


rem **************************************************************************
rem * Install the NT Service (adds it to the current list of services)
rem **************************************************************************
%TMX4J_HOME%\ext\bin\nt\jmxservice.exe -i

rem Reset the user's original CLASSPATH
SET CLASSPATH=%OLD_CLASSPATH%
@echo ON
