@echo OFF
rem ** Script to run the RmiDaemon provided in the samples package.
rem ** Sets the Classpath and uses the sample rmisample.policy file to grant
rem ** the necessary permissions.

rem **** Call script to set the TMX4J home directory, and add rmiregistry to the PATH ***
call ..\..\bin\nt\set_tmx4j_home.bat

set original_classpath=%classpath%

set classpath=%TMX4J_HOME%\base\lib\
set classpath=%classpath%;%TMX4J_HOME%\base\lib\jmxc.jar
set classpath=%classpath%;%TMX4J_HOME%\base\lib\jmxx.jar
set classpath=%classpath%;%TMX4J_HOME%\base\lib\log.jar
set classpath=%classpath%;%TMX4J_HOME%\ext\lib
set classpath=%classpath%;%TMX4J_HOME%\ext
set classpath=%classpath%;%TMX4J_HOME%\ext\lib\jmxext.jar;


rem **** Start the rmiregistry and wait for user to press any key ****
start rmiregistry
@echo rmiregistry started.
pause

@echo .
@echo Warning: granting everyone all permissions to access the RMI daemon services
@echo .
java -Djava.security.policy=%TMX4J_HOME%/ext/samples/rmisample.policy samples.RmiDaemon

rem Reset the user's old classpath
set classpath=%original_classpath%
@echo on

