/*---------------------------------------------------------------------------*\
|                                                                             |
| COPYRIGHT:                                                                  |
|   Tivoli Management Extensions for Java V1.1                                |
|                                                                             |
|   Licensed Materials - Property of IBM                                      |
|   (C) Copyright IBM Corporation 2000                                        |
|   All Rights Reserved                                                       |
|   US Government Users Restricted Rights - Use, duplication, or              |
|   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.         |
|                                                                             |
\*---------------------------------------------------------------------------*/

// $Revision: %Z% %M% %I% %W% %E% %U% $

package samples.rmitest;

/**
 * Insert the type's description here.
 */
public class Person implements PersonMBean {
	private byte age;
	private int height;
	private int weight;
	private transient int worked = 0;
/**
 * Person constructor comment.
 */
public Person() {
	super();
	this.age = 21;
	this.height = 6;
	this.weight = 165;
}
/**
 * Insert the method's description here.
 * Creation date: (9/8/00 5:19:57 PM)
 * @param age byte
 * @param height int
 * @param weight int
 */
public Person(byte age, int height, int weight) {
	this.age = age;
	this.height = height;
	this.weight = weight;
}
/**
 * eat method comment.
 */
public void eat(String meal, String place) {}
/**
 * getAge method comment.
 */
public byte getAge() {
	return this.age;
}
/**
 * getHeight method comment.
 */
public int getHeight() {
	return this.height;
}
/**
 * getWeight method comment.
 */
public int getWeight() {
	return this.weight;
}
/**
 * setAge method comment.
 */
public void setAge(byte age) {
	this.age = age;
}
/**
 * setWeight method comment.
 */
public void setWeight(int weight) {
	this.weight = weight;
}
/**
 * sleep method comment.
 */
public void sleep(int hours) {}
/**
 * work method comment.
 */
public int work(int hours) {
	return worked += hours;
}
}
